Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.unitn.ds.peersim.fds
Class EventuallyStrongFD

    java.lang.Object
      it.unitn.ds.peersim.fds.EventuallyStrongFD

All Implemented Interfaces:
  FailureDetector

    public class EventuallyStrongFD

extends java.lang.Object
implements FailureDetector

Distributed Systems Course Project

Year: 2009/2010

University of Trento

EventuallyStrongFD -. This class implements an eventually strong failure detector, calling the method callOracle() it return the array list containing the ids of the suspected nodes.

Version:
  1.0
Author:
  Avancini Mattia, Giampaolo Farina
See Also:
  `http://peersim.sourceforge.net/`

Constructor Summary
`EventuallyStrongFD(FDParameters fdParameters)` Instantiates a new eventually strong fd.

Method Summary
`void` | `addSuspected(peersim.core.Node node)` Adds the suspected.
`java.util.ArrayList<java.lang.Long>` | `callOracle()` When called this method return an array list containing the ids of the nodes suspected by the failure detector.
`void` | `init()` Inits the.
`boolean` | `isSuspected(peersim.core.Node node)` Checks if is suspected.
`void` | `removeSuspected(peersim.core.Node node)` Removes the suspected.
`java.lang.String` | `toString()` Return the string containing the list of nodes suspected by the node that calls the method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventuallyStrongFD

    public EventuallyStrongFD(FDParameters fdParameters)

  Instantiates a new eventually strong fd.

  Parameters:
    `fdParameters` - the fd parameters

Method Detail

### init

    public void init()

  Inits the.

### callOracle

    public java.util.ArrayList<java.lang.Long> callOracle()

  When called this method return an array list containing the ids of the nodes suspected by the failure detector.

  Specified by:
    `callOracle` in interface `FailureDetector`
  Returns:
    the array list.
  See Also:
    `FailureDetector.callOracle()`

### addSuspected

    public void addSuspected(peersim.core.Node node)

  Description copied from interface: `FailureDetector`
  Adds the suspected.

  Specified by:
    `addSuspected` in interface `FailureDetector`
  Parameters:
    `node` - the node suspected.
  See Also:
    `it.unitn.ds.peersim.fds.interfaces.FailureDetector#addSuspected(peersim .core.Node)`

### removeSuspected

    public void removeSuspected(peersim.core.Node node)

  Description copied from interface: `FailureDetector`
  Removes the suspected.

  Specified by:
    `removeSuspected` in interface `FailureDetector`
  Parameters:
    `node` - the node to be removed.
  See Also:
    `it.unitn.ds.peersim.fds.interfaces.FailureDetector#removeSuspected(peersim .core.Node)`

### isSuspected

    public boolean isSuspected(peersim.core.Node node)

  Description copied from interface: `FailureDetector`
  Checks if is suspected.

  Specified by:
    `isSuspected` in interface `FailureDetector`
  Parameters:
    `node` - the node to check.
  Returns:
    true, if is suspected, false otherwise.
  See Also:
    `it.unitn.ds.peersim.fds.interfaces.FailureDetector#isSuspected(peersim .core.Node)`

### toString

    public java.lang.String toString()

  Return the string containing the list of nodes suspected by the node that calls the method.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD